Host Datastore System Query Unresolved Vmfs Volumes

Host Datastore System Query Unresolved Vmfs Volumes
Get the list of unbound VMFS volumes.

Get the list of unbound VMFS volumes.

For sharing a volume across hosts, a VMFS volume is bound to its underlying block device storage. When a low level block copy is performed to copy or move the VMFS volume, the copied volume will be unbound.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/QueryUnresolvedVmfsVolumes
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

An array of unbound VMFS datastore

[
    {
        "_typeName": "string",
        "extent": [
            {
                "_typeName": "string",
                "device": {
                    "_typeName": "string",
                    "diskName": "string",
                    "partition": 0
                },
                "devicePath": "string",
                "vmfsUuid": "string",
                "isHeadExtent": false,
                "ordinal": 0,
                "startBlock": 0,
                "endBlock": 0,
                "reason": "string"
            }
        ],
        "vmfsLabel": "string",
        "vmfsUuid": "string",
        "totalBlocks": 0,
        "resolveStatus": {
            "_typeName": "string",
            "resolvable": false,
            "incompleteExtents": false,
            "multipleCopies": false
        }
    }
]
array of object
Optional

Information about detected unbound, unresolved VMFS volume.

An unresolved VMFS volume is reported when one or more device partitions of volume are detected to have copies of extents of the volume. Such copies can be created via replication or snapshots.

UnresolvedVmfsVolume are not mounted on the host where they are detected. User may choose to resignature the volume in which case a new Uuid is assigned to the volume and contents of the VMFS volume is kept intact.

User may choose to keep the original Uuid and mount the VMFS volume as it is on the given host. In this case, user has chosen to mount the copy of the VMFS volume on that host with no change to the original Uuid. This may fail with VmfsVolumeAlreadyMounted exception if there is an existing VMFS volume with the same Uuid mounted somewhere in the same datacenter.

Simple diagram representing the possible operations on UnresolvedVmfsVolume

  ---------------------------------------------------------------------------
  |                resignature                 forceMount                   |
  |  VmfsVolume <---------------  Unresolved ------------>  VmfsVolume with |
  | forceMountedInfo              Vmfs Volume              forceMountedInfo |
  |  not set                                                  will be set   |
  ---------------------------------------------------------------------------

See also HostStorageSystem.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/QueryUnresolvedVmfsVolumes